Last Comment Bug 858909 - [Oracle] When running checksetup.pl for the first time using Oracle as DB server, you get an "uninitialized value" warning
: [Oracle] When running checksetup.pl for the first time using Oracle as DB ser...
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Installation & Upgrading (show other bugs)
: 4.0.3
: All All
: -- minor (vote)
: Bugzilla 4.2
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on: 701350
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-06 03:41 PDT by Frédéric Buclin
Modified: 2013-04-28 04:41 PDT (History)
1 user (show)
LpSolit: approval+
LpSolit: approval4.4+
LpSolit: approval4.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (807 bytes, patch)
2013-04-06 03:47 PDT, Frédéric Buclin
dkl: review+
Details | Diff | Review

Description Frédéric Buclin 2013-04-06 03:41:24 PDT
When running checksetup.pl for the first time using Oracle as DB server, you get an "uninitialized value" warning, because data/params doesn't exist yet:

  Use of uninitialized value in subroutine entry at Bugzilla/DB/Oracle.pm line 62

This line 62 is:

  max(Bugzilla->params->{'maxattachmentsize'}, MIN_LONG_READ_LEN) * 1024

As data/params doesn't exist yet, maxattachmentsize is undefined and max() complains. This warning is present since Bugzilla 4.0.3, see bug 701350.
Comment 1 Frédéric Buclin 2013-04-06 03:47:52 PDT
Created attachment 734223 [details] [diff] [review]
patch, v1
Comment 2 David Lawrence [:dkl] 2013-04-23 09:56:26 PDT
Comment on attachment 734223 [details] [diff] [review]
patch, v1

Review of attachment 734223 [details] [diff] [review]:
-----------------------------------------------------------------

r=dkl
Comment 3 Frédéric Buclin 2013-04-28 04:41:06 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/DB/Oracle.pm
Committed revision 8615.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified Bugzilla/DB/Oracle.pm
Committed revision 8548.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified Bugzilla/DB/Oracle.pm
Committed revision 8209.

Note You need to log in before you can comment on or make changes to this bug.